Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0021940
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2012-10-15 15:582013-02-01 22:28
ReporterVictorVillarView Statuspublic 
Assigned Tojecharri 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionec8b28e3c0c0
ProjectionnoneETAnoneTarget Version3.0MP20
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToVictorVillar
Web browser
ModulesPayment Report
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0021940: If there is a register without payment date the payment report shows NPE error

DescriptionIf there is a register without payment date the payment report shows NPE error
Steps To ReproduceAs group Admin role,
Go to Payment In window,

 Create a new register without Payment date-- Add details and select any invoice.
Process it.

Go to Payment Report window,
    Launch the report.

Realise that "Null Pinter Exception" error appears.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0021938 newioritzCia Payment date should be mandatory 

-  Notes
(0055951)
hgbot (developer)
2013-01-29 16:50

Repository: erp/devel/pi
Changeset: ec8b28e3c0c081235b013455efbd2d5eacd86595
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Tue Jan 29 16:49:25 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ec8b28e3c0c081235b013455efbd2d5eacd86595 [^]

Fixes issue 21940: If there is a register without payment date
the payment report shows NPE error

---
M modules/org.openbravo.financial.paymentreport/src/org/openbravo/financial/paymentreport/erpCommon/ad_reports/PaymentReportDao.java
---
(0055989)
jecharri (developer)
2013-01-31 09:48

Test cases:
-Verify the steps to reproduce.
-Check that now the report works porperly.
-Instead of the date, you will see the null value
(0056061)
VictorVillar (developer)
2013-02-01 14:55

Verified
(0056085)
hudsonbot (developer)
2013-02-01 22:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b070aa80fc76 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-10-15 15:58 VictorVillar New Issue
2012-10-15 15:58 VictorVillar Assigned To => dmiguelez
2012-10-15 15:58 VictorVillar Modules => Payment Report
2012-10-15 15:58 VictorVillar Relationship added related to 0021938
2012-10-15 15:58 VictorVillar Issue Monitored: networkb
2012-10-18 10:55 naiaramartinez Assigned To dmiguelez => jonalegriaesarte
2012-11-02 14:57 ioritzCia Target Version 3.0MP17 => 3.0MP18
2012-12-04 11:49 jonalegriaesarte Severity major => minor
2012-12-04 11:49 jonalegriaesarte Target Version 3.0MP18 => 3.0MP19
2013-01-09 11:29 jonalegriaesarte Triggers an Emergency Pack => No
2013-01-09 11:29 jonalegriaesarte Target Version 3.0MP19 => 3.0MP20
2013-01-28 13:54 jonalegriaesarte Assigned To jonalegriaesarte => jecharri
2013-01-29 16:50 hgbot Checkin
2013-01-29 16:50 hgbot Note Added: 0055951
2013-01-29 16:50 hgbot Status new => resolved
2013-01-29 16:50 hgbot Resolution open => fixed
2013-01-29 16:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ec8b28e3c0c081235b013455efbd2d5eacd86595 [^]
2013-01-31 09:48 jecharri Note Added: 0055989
2013-02-01 14:55 VictorVillar Review Assigned To => VictorVillar
2013-02-01 14:55 VictorVillar Note Added: 0056061
2013-02-01 14:55 VictorVillar Status resolved => closed
2013-02-01 22:28 hudsonbot Checkin
2013-02-01 22:28 hudsonbot Note Added: 0056085


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker